Package org.apache.maven.scm.provider.accurev.cli

## Class StatBackingConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.accurev.cli.StatBackingConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class StatBackingConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

### Constructor Summary

Constructors
`StatBackingConsumer​(java.util.Collection<java.io.File> memberElements, java.util.Collection<java.io.File> nonMemberElements)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatBackingConsumer

    public StatBackingConsumer​(java.util.Collection<java.io.File> memberElements,
                               java.util.Collection<java.io.File> nonMemberElements)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`